import java.util.Scanner;

public class Section031 {
	public static void main(String[] args) {
		Scanner scanf = new Scanner(System.in);
		int m, i, j, k, x;
		int data[] = new int[10];
		m = -1;
		do
		{
			m++;
			data[m] = scanf.nextInt();
		} while (m < 9);
		i = -1;
		do
		{
			i++;
			j = i;
			do
			{
				j++;
				if (data[i] > data[j])
				{
					k = data[i];
					data[i] = data[j];
					data[j] = k;
				}
			} while (j < 9);
		} while (i < 8);
		for (x = 0; x <= 9; x++)
			System.out.printf("%d ", data[x]);
		scanf.close();
	}
}
